#pragma once

#include <cassert>


namespace frog
{


struct engine;


class base_game
{
public:
    virtual ~base_game() = default;

    virtual void init(engine&) {}

    /// update in given intervals (good for physics)
    virtual void stable_update(engine&) {}

    /// update before each frame
    virtual void frame_update(engine&) {}
};


} // namespace frog
